org.richfaces.renderkit.html.images

## Class MenuNodeImage

- java.lang.Object
- - org.richfaces.renderkit.html.images.MenuNodeImage

- All Implemented Interfaces:
    Java2DUserResource, StateHolderResource

      public class MenuNodeImage
      extends Object
      implements Java2DUserResource, StateHolderResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuNodeImage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dimension` | `getDimension()`
    `Integer` | `getDisabledColor()`
    `Integer` | `getGeneralColor()`
    `ImageType` | `getImageType()`
    `Date` | `getLastModified()`
    `Map<String,String>` | `getResponseHeaders()`
    `void` | `initialize()`
    `boolean` | `isTransient()`
    `void` | `paint(Graphics2D g2d)`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `setDisabledColor(Integer disabledColor)`
    `void` | `setGeneralColor(Integer generalColor)`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuNodeImage

          public MenuNodeImage()

  - ### Method Detail

    - #### getDisabledColor

          public Integer getDisabledColor()

    - #### setDisabledColor

          public void setDisabledColor(Integer disabledColor)

    - #### getGeneralColor

          public Integer getGeneralColor()

    - #### setGeneralColor

          public void setGeneralColor(Integer generalColor)

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `StateHolderResource`

    - #### writeState

          public void writeState(javax.faces.context.FacesContext context,
                                 DataOutput dataOutput)
                          throws IOException

      Specified by:
        `writeState` in interface `StateHolderResource`
      Throws:
        `IOException`

    - #### readState

          public void readState(javax.faces.context.FacesContext context,
                                DataInput dataInput)
                         throws IOException

      Specified by:
        `readState` in interface `StateHolderResource`
      Throws:
        `IOException`

    - #### getResponseHeaders

          public Map<String,String> getResponseHeaders()

      Specified by:
        `getResponseHeaders` in interface `Java2DUserResource`

    - #### getLastModified

          public Date getLastModified()

      Specified by:
        `getLastModified` in interface `Java2DUserResource`

    - #### getImageType

          public ImageType getImageType()

      Specified by:
        `getImageType` in interface `Java2DUserResource`

    - #### getDimension

          public Dimension getDimension()

      Specified by:
        `getDimension` in interface `Java2DUserResource`

    - #### paint

          public void paint(Graphics2D g2d)

      Specified by:
        `paint` in interface `Java2DUserResource`

    - #### initialize

          public final void initialize()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.